Name:           libXcm
Version:        0.5.1
Release:        1%{?dist}
Summary:        X Color Management Library

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.oyranos.org
Source0:        http://downloads.sourceforge.net/oyranos/libXcm-%{version}.tar.bz2

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  libXfixes-devel
BuildRequires:  libXmu-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xorg-x11-xtrans-devel


%description
The libXcm library is a reference implementation of the net-color spec.
It allows to attach color regions to X windows to communicate with color
servers.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel
Requires:       xorg-x11-proto-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS -fPIC"

%configure --disable-static --enable-shared
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/*.txt
%dir %{_includedir}/X11/Xcm
%{_includedir}/X11/Xcm/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/xcm.pc
%{_mandir}/man3/*.3.*


%changelog
* Tue Feb 26 2013 Johnny Brinsko <tripgod@fuduntu.org> - 0.5.1-1
- Built for Fuduntu

* Tue Sep 18 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.5.1-1
- Update to 0.5.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.5.0-2
- Bump release

* Sat Mar 10 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Sun Feb 26 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4.2-3
- Enable PIC in build. Fixes FTBFS on ARM

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 08 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.2-1
- Update to 0.4.2

* Sat Jul 23 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.1-1
- Update to 0.4.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 07 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Fri Nov 05 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Sun Aug 22 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.2.7-1
- Update to 0.27

* Fri Jul 16 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.2.6-2
- Fix X11 directory ownership for header.
- Improve description

* Wed Jul 14 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.2.6-1
- Initial spec file

